/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_nyb':["sort","$a"],
      '_$_oyb':["reverse","$b"],
      '_$_pyb':["getEnumerator","$c"],
      '_$_qyb':["createintArray","$d"],
      '_$_ryb':["createbyteArray","$e"],
      '_$_syb':["createcharArray","$f"],
      '_$_tyb':["createlongArray","$g"],
      '_$_uyb':["createfloatArray","$h"],
      '_$_vyb':["createMultiArray","$i"],
      '_$_wyb':["createdoubleArray","$j"],
      '_$_xyb':["createnumberArray","$k"],
      '_$_yyb':["createObjectArray","$l"],
      '_$_zyb':["createstringArray","$n"],
      '_$_azb':["consumeSideEffects","$o"],
      '_$_bzb':["createbooleanArray","$p"],
      '_$_czb':["getLength","$q"],
      '_$_dzb':["sortTyped","$r"],
      '_$_ezb':["arrayTypeOf","$s"],
      '_$_fzb':["sortComparer","$t"],
      '_$_gzb':["getUpperBound","$u"],
      '_$_hzb':["sortComparison","$v"],
      '_$_izb':["instanceOfArray","$w"],
      '_$_jzb':["copy","$x"],
      '_$_kzb':["copyTo","$y"],
      '_$_lzb':["sortRange","$z"],
      '_$_mzb':["arrayCopy","$A"],
      '_$_nzb':["sortObjectComparer","$C"],
      '_$_ozb':["toByte","$a"],
      '_$_pzb':["toInt16","$b"],
      '_$_qzb':["objectToInt32","$c"],
      '_$_rzb':["stringToInt32","$d"],
      '_$_szb':["stringToInt64","$e"],
      '_$_tzb':["toDouble","$g"],
      '_$_uzb':["objectToDouble","$h"],
      '_$_vzb':["stringToDouble","$i"],
      '_$_wzb':["doubleToString","$j"],
      '_$_xzb':["toUInt16","$k"],
      '_$_yzb':["toUInt32","$l"],
      '_$_zzb':["toUInt64","$n"],
      '_$_aac':["objectToBoolean","$o"],
      '_$_bac':["stringToBoolean","$p"],
      '_$_cac':["stringToInt32WithRadix","$q"],
      '_$_dac':["intToStringWithBase","$r"],
      '_$_eac':["DictionaryEnumerator","$a"],
      '_$_fac':["DictionaryKeyCollection","$b"],
      '_$_gac':["DictionaryKeyEnumerator","$c"],
      '_$_hac':["DictionaryValueCollection","$d"],
      '_$_iac':["DictionaryValueEnumerator","$e"],
      '_$_jac':["WithCapacity","$f"],
      '_$_kac':["WithEqualityComparer","$g"],
      '_$_lac':["notEmpty","$a"],
      '_$_mac':["cast","$b"],
      '_$_nac':["getLastElement","$c"],
      '_$_oac':["count","$d"],
      '_$_pac':["getFirstElement","$e"],
      '_$_qac':["ofType","$f"],
      '_$_rac':["toList","$g"],
      '_$_sac':["reverse","$h"],
      '_$_tac':["toArray","$i"],
      '_$_uac':["getLastElementOrDefault","$j"],
      '_$_vac':["getFirstElementOrDefault","$k"],
      '_$_wac':["any","$l"],
      '_$_xac':["sum","$n"],
      '_$_yac':["getFirstElementWithPredicate","$o"],
      '_$_zac':["where","$p"],
      '_$_abc':["select","$q"],
      '_$_bbc':["selectWithSelector","$r"],
      '_$_cbc':["forEachWithIndex","$s"],
      '_$_dbc':["forEach","$t"],
      '_$_ebc':["enumeratorContains","$u"],
      '_$_fbc':["elementAt","$v"],
      '_$_gbc':["takeWhile","$w"],
      '_$_hbc':["selectMany","$x"],
      '_$_ibc':["getFirstElementOrDefaultWithPredicate","$y"],
      '_$_jbc':["aggregate","$z"],
      '_$_kbc':["catchErrors","$a"],
      '_$_lbc':["errorHandler","$b"],
      '_$_mbc':["handleError","$c"],
      '_$_nbc':["WithCancel","$a"],
      '_$_obc':["With","$a"],
      '_$_pbc':["WithKeyValueAndNext","$b"],
      '_$_qbc':["Enumerator","$a"],
      '_$_rbc':["WithCapacity","$b"],
      '_$_sbc':["FromEnumerable","$c"],
      '_$_tbc':["fromArray","$d"],
      '_$_ubc':["WithSeed","$a"],
      '_$_vbc':["sign","$a"],
      '_$_wbc':["round","$b"],
      '_$_xbc':["roundMidpoint","$c"],
      '_$_ybc':["wait","$a"],
      '_$_zbc':["pulse","$b"],
      '_$_acc':["pulseAll","$c"],
      '_$_bcc':["waitWithTimeout","$d"],
      '_$_ccc':["FromAction","$a"],
      '_$_dcc':["FromActionAndItem","$b"],
      '_$_ecc':["FromActionAndChangedItems","$c"],
      '_$_fcc':["FromActionItemsAndIndex","$d"],
      '_$_gcc':["FromActionAndItems","$e"],
      '_$_hcc':["FromActionNewItemsAndOldItems","$f"],
      '_$_icc':["FromActionItemsAndIndices","$g"],
      '_$_jcc':["FromActionNewItemOldItemAndIndex","$h"],
      '_$_kcc':["FromActionNewItemsAndIndices","$i"],
      '_$_lcc':["FromActionNewItemsOldItemsAndIndex","$j"],
      '_$_mcc':["FromStore","$a"],
      '_$_ncc':["FromGlobalName","$b"],
      '_$_occ':["currentUICulture","$a"],
      '_$_pcc':["INVARIANT_CULTURE","$b"],
      '_$_qcc':["FromCultureId","$c"],
      '_$_rcc':["WithObject","$a"],
      '_$_scc':["WithTargetAndTrackResurrection","$b"],
      '_$_tcc':["xmlns","$a"],
      '_$_ucc':["get","$b"],
      '_$_vcc':["add","$d"],
      '_$_wcc':["equals","$e"],
      '_$_xcc':["convertFrom","$g"],
      '_$_ycc':["notEquals","$h"],
      '_$_zcc':["get","$a"],
      '_$_adc':["equals","$c"],
      '_$_bdc':["convertFrom","$d"],
      '_$_cdc':["notEquals","$e"],
      '_$_ddc':["FromTotalMillis","$a"],
      '_$_edc':["FromDaysHoursMinutesSecondsAndMillis","$b"],
      '_$_fdc':["fromDays","$c"],
      '_$_gdc':["fromSeconds","$d"],
      '_$_hdc':["fromMilliseconds","$e"],
      '_$_idc':["equals","$f"],
      '_$_jdc':["lessThan","$g"],
      '_$_kdc':["greaterThan","$i"],
      '_$_ldc':["lessThanOrEqual","$j"],
      '_$_mdc':["greaterThanOrEqual","$k"],
      '_$_ndc':["elements","$a"],
      '_$_odc':["getXmlName","$b"],
      '_$_pdc':["documentElement","$c"],
      '_$_qdc':["escapeUriString","$d"],
      '_$_rdc':["appendChildToDocument","$e"],
      '_$_sdc':["namedElements","$f"],
      '_$_tdc':["getNamespaceOfPrefix","$g"],
      '_$_udc':["createElement","$h"],
      '_$_vdc':["key","$Oc"],
      '_$_zdc':["objectKeys","$Pc"],
      '_$_aec':["keys","$Qc"],
      '_$_cec':["count","$Rc"],
      '_$_eec':["value","$Sc"],
      '_$_lec':["values","$Tc"],
      '_$_nec':["objectValues","$Uc"],
      '_$_oec':["current","$Vc"],
      '_$_qec':["currentObject","$Wc"],
      '_$_sec':["syncRoot","$Xc"],
      '_$_vec':["isReadOnly","$Yc"],
      '_$_xec':["isFixedSize","$Zc"],
      '_$_afc':["isSynchronized","$ad"],
      '_$_dfc':["clear","$bd"],
      '_$_jfc':["reset","$cd"],
      '_$_mfc':["dispose","$dd"],
      '_$_ufc':["moveNext","$ed"],
      '_$_wfc':["getEnumerator","$fd"],
      '_$_xfc':["getDictionaryEnumerator","$gd"],
      '_$_yfc':["getObjectEnumerator","$hd"],
      '_$_zfc':["addWithValue","$id"],
      '_$_agc':["add","$jd"],
      '_$_hgc':["removeWithKey","$kd"],
      '_$_igc':["removeValue","$ld"],
      '_$_lgc':["remove","$md"],
      '_$_rgc':["removeKey","$nd"],
      '_$_sgc':["indexOfItem","$od"],
      '_$_ugc':["indexOf","$pd"],
      '_$_wgc':["containsWithValue","$qd"],
      '_$_xgc':["containsValue","$rd"],
      '_$_ahc':["contains","$sd"],
      '_$_fhc':["getObject","$td"],
      '_$_ghc':["get","$ud"],
      '_$_khc':["removeAt","$vd"],
      '_$_lhc':["containsKey","$wd"],
      '_$_phc':["equalsTyped","$xd"],
      '_$_qhc':["getHashCode","$yd"],
      '_$_rhc':["addPropertyChangedListener","$zd"],
      '_$_shc':["removePropertyChangedListener","$Ad"],
      '_$_thc':["addWithKeyAndValue","$Bd"],
      '_$_uhc':["addKeyValue","$Cd"],
      '_$_vhc':["copyTo","$Dd"],
      '_$_yhc':["copyToArrayAt","$Ed"],
      '_$_zhc':["itemsEqual","$Fd"],
      '_$_aic':["insertAt","$Gd"],
      '_$_cic':["insert","$Hd"],
      '_$_fic':["compare","$Id"],
      '_$_iic':["setObject","$Jd"],
      '_$_jic':["set","$Kd"],
      '_$_nic':["putObject","$Ld"],
      '_$_oic':["put","$Md"],
      '_$_ric':["tryGetValue","$Nd"],
      '_$_tic':["enumerableContainsElements","$Od"],
      '_$_uic':["getCastedEnumerable","$Pd"],
      '_$_vic':["getLastElement","$Qd"],
      '_$_wic':["getElementCount","$Rd"],
      '_$_xic':["getFirstElement","$Sd"],
      '_$_yic':["getEnumerableOfType","$Td"],
      '_$_zic':["getEnumerableAsList","$Ud"],
      '_$_ajc':["getReversedEnumerable","$Vd"],
      '_$_bjc':["getEnumerableAsArray","$Wd"],
      '_$_cjc':["getLastElementOrDefault","$Xd"],
      '_$_djc':["getFirstElementOrDefault","$Yd"],
      '_$_ejc':["enumerableContainsMatch","$Zd"],
      '_$_fjc':["getElementSum","$ae"],
      '_$_gjc':["getFirstElementWithPredicate","$be"],
      '_$_hjc':["getMatchingElements","$ce"],
      '_$_ijc':["getProjectionWithIndex","$de"],
      '_$_jjc':["getProjection","$ee"],
      '_$_kjc':["forEachWithIndex","$fe"],
      '_$_ljc':["forEach","$ge"],
      '_$_mjc':["enumerableContains","$he"],
      '_$_njc':["getElementAt","$ie"],
      '_$_ojc':["getTakeWhileEnumerable","$je"],
      '_$_pjc':["getMultiProjection","$ke"],
      '_$_qjc':["getFirstElementOrDefaultWithPredicate","$le"],
      '_$_rjc':["getAggregation","$me"],
      '_$_sjc':["days","$ne"],
      '_$_tjc':["name","$oe"],
      '_$_wjc':["next","$pe"],
      '_$_akc':["seed","$qe"],
      '_$_ikc':["cancel","$se"],
      '_$_mkc':["parent","$ue"],
      '_$_nkc':["target","$ve"],
      '_$_rkc':["isAlive","$xe"],
      '_$_tkc':["capacity","$ze"],
      '_$_wkc':["ignoreCase","$Ge"],
      '_$_ykc':["milliseconds","$Ke"],
      '_$_zkc':["propertyName","$Le"],
      '_$_blc':["totalSeconds","$Ne"],
      '_$_clc':["currentDictionaryObject","$Oe"],
      '_$_dlc':["typeArguments","$Te"],
      '_$_elc':["totalMilliseconds","$Ue"],
      '_$_flc':["naturalSort","$Ve"],
      '_$_glc':["clone","$We"],
      '_$_ilc':["flush","$Xe"],
      '_$_klc':["sample","$Ye"],
      '_$_llc':["reverse","$Ze"],
      '_$_plc':["toArray","$af"],
      '_$_tlc':["asReadOnly","$bf"],
      '_$_ulc':["nextDouble","$cf"],
      '_$_wlc':["nextBoolean","$df"],
      '_$_ylc':["writeNewLine","$gf"],
      '_$_zlc':["getListEnumerator","$hf"],
      '_$_amc':["getKeyCollectionEnumerator","$if"],
      '_$_bmc':["getValueCollectionEnumerator","$jf"],
      '_$_dmc':["find","$mf"],
      '_$_emc':["sort","$nf"],
      '_$_hmc':["write","$of"],
      '_$_kmc':["copyToArray","$pf"],
      '_$_lmc':["nextInt","$qf"],
      '_$_nmc':["addRange","$rf"],
      '_$_rmc':["findIndex","$tf"],
      '_$_smc':["getString","$uf"],
      '_$_tmc':["nextBytes","$vf"],
      '_$_vmc':["removeAll","$wf"],
      '_$_xmc':["writeLine","$xf"],
      '_$_ymc':["writeObject","$yf"],
      '_$_zmc':["writeLineObject","$zf"],
      '_$_anc':["sortWithComparison","$Cf"],
      '_$_fnc':["getObjectForCulture","$Gf"],
      '_$_gnc':["getStringForCulture","$Hf"],
      '_$_hnc':["removeRange","$Jf"],
      '_$_inc':["binarySearch","$Kf"],
      '_$_jnc':["nextIntInRange","$Lf"],
      '_$_wqd':["addCollectionChangedListener","$gr"],
      '_$_msd':["removeCollectionChangedListener","$Ur"],
      '_$_ste':["action","$tD"],
      '_$_pze':["newItems","$YF"],
      '_$_sze':["oldItems","$bG"],
      '_$_bcf':["localName","$jH"],
      '_$_ecf':["xmlNamespace","$mH"],
      '_$_xof':["namespaceName","$vN"],
      '_$_xzf':["newStartingIndex","$DS"],
      '_$_cag':["oldStartingIndex","$IS"],
      '_$_ksh':["convertFrom","$hnb"],
      '_$_ouh':["canConvertTo","$hob"],
      '_$_eyh':["canConvertFrom","$Rpb"],
      '_$_eai':["convertToString","$Mqb"],
      '_$_lei':["convertFromString","$Asb"],
      '_$_hoi':["convertToInvariantString","$Xwb"],
      '_$_zpi':["convertFromInvariantString","$Ixb"],
      '_$_rui':["convertTo","$Szb"],
      '_$_ewi':["convertFromWithContext","$GAb"],
      '_$_exi':["canConvertToWithContext","$gBb"],
      '_$_nyi':["canConvertFromWithContext","$OBb"],
      '_$_tbj':["convertToInvariantStringWithContext","$zDb"],
      '_$_ecj':["convertFromInvariantStringWithContext","$KDb"],
      '_$_mdj':["convertFromWithContextAndCulture","$rEb"],
      '_$_gfj':["convertToWithContextAndCulture","$mFb"],
      '_$_ien':["ArrayExtensions","VJD"],
      '_$_jen':["Convert","WJD"],
      '_$_ken':["Dictionary","XJD"],
      '_$_len':["EnumerableExtensions","YJD"],
      '_$_men':["ErrorHandling","ZJD"],
      '_$_nen':["EventArgs","AKD"],
      '_$_oen':["CancelEventArgs","BKD"],
      '_$_pen':["ICollection","QKD"],
      '_$_qen':["ICollection","RKD"],
      '_$_ren':["IDictionary","SKD"],
      '_$_sen':["IDictionary","TKD"],
      '_$_ten':["IDictionaryEnumerator","UKD"],
      '_$_uen':["IEnumerable","VKD"],
      '_$_ven':["IEnumerable","WKD"],
      '_$_wen':["IEnumerator","XKD"],
      '_$_xen':["IEnumerator","YKD"],
      '_$_yen':["IEqualityComparer","ZKD"],
      '_$_zen':["EqualityComparer","ALD"],
      '_$_afn':["IList","BLD"],
      '_$_bfn':["IList","CLD"],
      '_$_cfn':["KeyValuePair","DLD"],
      '_$_dfn':["List","ELD"],
      '_$_efn':["Random","FLD"],
      '_$_ffn':["Math","GLD"],
      '_$_gfn':["MidpointRounding","HLD"],
      '_$_hfn':["Monitor","ILD"],
      '_$_ifn':["INotifyCollectionChanged","JLD"],
      '_$_jfn':["NotifyCollectionChangedEventHandler","KLD"],
      '_$_kfn':["NotifyCollectionChangedEventArgs","LLD"],
      '_$_lfn':["NotifyCollectionChangedAction","MLD"],
      '_$_mfn':["PropertyChangedEventArgs","NLD"],
      '_$_nfn':["INotifyPropertyChanged","OLD"],
      '_$_ofn':["PropertyChangedEventHandler","PLD"],
      '_$_pfn':["ReadOnlyCollection","QLD"],
      '_$_qfn':["TargetException","RLD"],
      '_$_rfn':["GenericMethodInfo","BMD"],
      '_$_sfn':["ResourceManager","FMD"],
      '_$_tfn':["CultureInfo","GMD"],
      '_$_ufn':["MissingManifestResourceException","HMD"],
      '_$_vfn':["IDisposable","JMD"],
      '_$_wfn':["IEquatable","KMD"],
      '_$_xfn':["IComparer","LMD"],
      '_$_yfn':["IComparer","MMD"],
      '_$_zfn':["StringWriter","NMD"],
      '_$_agn':["TypeConverter","PMD"],
      '_$_bgn':["WeakReference","QMD"],
      '_$_cgn':["XmlNamespace","RMD"],
      '_$_dgn':["XmlName","SMD"],
      '_$_egn':["TimeSpan","TMD"],
      '_$_fgn':["CastingEnumerable","UMD"],
      '_$_ggn':["FilteredEnumerable","VMD"],
      '_$_hgn':["FilteredEnumerator","WMD"],
      '_$_ign':["CastingEnumerator2","XMD"],
      '_$_jgn':["CastingEnumerator","YMD"],
      '_$_kgn':["XmlExtensions","ZMD"],
      '_$$_cv':["With","$a"],
      '_$$_dv':["ConvertedFrom","$b"],
      '_$$_ev':["WithTypeName","$a"],
      '_$$_fv':["WithType","$b"],
      '_$$_gv':["FromMessage","$a"],
      '_$$_hv':["FromMessageAndParameter","$b"],
      '_$$_iv':["FromMessageAndException","$c"],
      '_$$_jv':["WithMessage","$a"],
      '_$$_kv':["FromMessageAndException","$b"],
      '_$$_lv':["format","$a"],
      '_$$_mv':["value","$Sc"],
      '_$$_nv':["name","$oe"],
      '_$$_qv':["type","$re"],
      '_$$_tv':["member","$te"],
      '_$$_vv':["canRead","$we"],
      '_$$_wv':["canWrite","$ye"],
      '_$$_xv':["isPublic","$Ae"],
      '_$$_yv':["isStatic","$Be"],
      '_$$_zv':["position","$Ce"],
      '_$$_dw':["fieldType","$De"],
      '_$$_ew':["isPrivate","$Ee"],
      '_$$_fw':["attributes","$Fe"],
      '_$$_gw':["isOptional","$He"],
      '_$$_hw':["memberType","$Ie"],
      '_$$_iw':["returnType","$Je"],
      '_$$_jw':["propertyType","$Me"],
      '_$$_kw':["declaringType","$Pe"],
      '_$$_lw':["isConstructor","$Qe"],
      '_$$_mw':["parameterType","$Re"],
      '_$$_nw':["reflectedType","$Se"],
      '_$$_pw':["getGetMethod","$ef"],
      '_$$_qw':["getSetMethod","$ff"],
      '_$$_rw':["getParameters","$kf"],
      '_$$_sw':["getIndexParameters","$lf"],
      '_$$_tw':["getValue","$sf"],
      '_$$_uw':["invokeConstructor","$Af"],
      '_$$_vw':["makeGenericMethod","$Bf"],
      '_$$_ww':["getCustomAttributes","$Df"],
      '_$$_xw':["invoke","$Ef"],
      '_$$_yw':["setValue","$Ff"],
      '_$$_zw':["isDefined","$If"],
      '_$$_ax':["toParameterInfo","$Mf"],
      '_$$_bx':["getCustomAttributesOfType","$Nf"],
      '_$$_rfb':["visibility","$pJ"],
      '_$$_chb':["converterTypeName","$FT"],
      '_$$_rtb':["DefaultValueAttribute","QJD"],
      '_$$_stb':["yfiles.system","yfiles._R"],
      '_$$_ttb':["DesignerSerializationVisibilityAttribute","RJD"],
      '_$$_utb':["DesignerSerializationVisibility","SJD"],
      '_$$_vtb':["TypeConverterAttribute","TJD"],
      '_$$_wtb':["FlagsAttribute","UJD"],
      '_$$_xtb':["yfiles.support","yfiles._R"],
      '_$$_ytb':["yfiles.collections","yfiles._R"],
      '_$$_ztb':["ArgumentException","CKD"],
      '_$$_aub':["ArgumentNullException","DKD"],
      '_$$_bub':["ArgumentOutOfRangeException","EKD"],
      '_$$_cub':["InvalidOperationException","FKD"],
      '_$$_dub':["IndexOutOfRangeException","GKD"],
      '_$$_eub':["ArithmeticException","HKD"],
      '_$$_fub':["FormatException","IKD"],
      '_$$_gub':["IOException","JKD"],
      '_$$_hub':["NotImplementedException","KKD"],
      '_$$_iub':["NotSupportedException","LKD"],
      '_$$_jub':["KeyNotFoundException","MKD"],
      '_$$_kub':["NullReferenceException","NKD"],
      '_$$_lub':["ClassNotFoundException","OKD"],
      '_$$_mub':["ApplicationException","PKD"],
      '_$$_nub':["yfiles.objectcollections","yfiles._R"],
      '_$$_oub':["MethodAttributes","SLD"],
      '_$$_pub':["TypeAttribute","TLD"],
      '_$$_qub':["ParameterAttribute","ULD"],
      '_$$_rub':["MemberTypes","VLD"],
      '_$$_sub':["BindingFlags","WLD"],
      '_$$_tub':["MemberInfo","XLD"],
      '_$$_uub':["MethodBase","YLD"],
      '_$$_vub':["ConstructorInfo","ZLD"],
      '_$$_wub':["MethodInfo","AMD"],
      '_$$_xub':["ParameterInfo","CMD"],
      '_$$_yub':["PropertyInfo","DMD"],
      '_$$_zub':["FieldInfo","EMD"],
      '_$$_avb':["ICloneable","IMD"],
      '_$$_bvb':["StringExtensions","OMD"]
    },yfiles.mappings);
  }
  return undefined;
});
