/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_goc':["pen","$Uf"],
      '_$_xpc':["brush","$pg"],
      '_$_ypc':["color","$qg"],
      '_$_yqc':["inset","$zg"],
      '_$_xsc':["radius","$Wg"],
      '_$_ruc':["drawShadow","$Qh"],
      '_$_sue':["margin","$OD"],
      '_$_kaf':["zoomMode","$tG"],
      '_$_bbf':["edgeStyle","$LG"],
      '_$_lcf':["nodeStyle","$sH"],
      '_$_uef':["labelStyle","$zI"],
      '_$_ukg':["provideRadiusHandle","$uX"],
      '_$_deh':["isRatio","$pgb"],
      '_$_seh':["getHeight","$Dgb"],
      '_$_ljj':["getImage","$oHb"],
      '_$_bnj':["getFallbackImage","$cJb"],
      '_$_aqj':["getPreserveAspectRatio","$wKb"],
      '_$_wvl':["ArcEdgeStyleRenderer","RYB"],
      '_$_xvl':["DecorationZoomMode","TYB"],
      '_$_yvl':["IArcEdgeStyle","VYB"],
      '_$_zvl':["IBevelNodeStyle","WYB"],
      '_$_awl':["BevelNodeStyleRenderer","XYB"],
      '_$_bwl':["IImageNodeStyle","ZYB"],
      '_$_cwl':["ImageNodeStyleRenderer","AZB"],
      '_$_dwl':["IPanelNodeStyle","EZB"],
      '_$_ewl':["PanelNodeStyleRenderer","GZB"],
      '_$_fwl':["IShinyPlateNodeStyle","HZB"],
      '_$_gwl':["ShinyPlateNodeStyleRenderer","JZB"],
      '_$$_id':["WithRenderer","$a"],
      '_$$_jd':["WithPenAndHeight","$b"],
      '_$$_kd':["WithRendererPenAndHeight","$c"],
      '_$$_ld':["WithColor","$b"],
      '_$$_md':["WithRendererAndColor","$c"],
      '_$$_nd':["WithPath","$a"],
      '_$$_od':["WithRenderer","$b"],
      '_$$_pd':["WithImage","$c"],
      '_$$_qd':["WithPathAndFallbackPath","$d"],
      '_$$_rd':["WithImageAndRenderer","$e"],
      '_$$_sd':["WithImageFallbackImageAndRenderer","$f"],
      '_$$_td':["WithColorAndInsetsColor","$c"],
      '_$$_ud':["WithRendererAndColor","$d"],
      '_$$_vd':["WithBrush","$b"],
      '_$$_wd':["WithColor","$c"],
      '_$$_xd':["WithBrushAndPen","$d"],
      '_$$_yd':["WithRendererBrushRadiusAndInsets","$e"],
      '_$$_zd':["WithRendererColorRadiusAndInsets","$f"],
      '_$$_gx':["pen","$Uf"],
      '_$$_yx':["brush","$pg"],
      '_$$_by':["color","$qg"],
      '_$$_ey':["image","$xg"],
      '_$$_gy':["inset","$zg"],
      '_$$_ly':["ratio","$Gg"],
      '_$$_wy':["height","$Pg"],
      '_$$_xy':["insets","$Qg"],
      '_$$_iz':["radius","$Wg"],
      '_$$_fab':["drawShadow","$Qh"],
      '_$$_uab':["outlineShape","$Gi"],
      '_$$_xab':["fallbackImage","$Mi"],
      '_$$_hbb':["labelInsetsColor","$Bj"],
      '_$$_khb':["provideHeightHandle","$tX"],
      '_$$_lpb':["yfiles.drawing","yfiles._R"],
      '_$$_mpb':["ArcEdgeStyle","SYB"],
      '_$$_npb':["EdgeStyleDecorationInstaller","UYB"],
      '_$$_opb':["BevelNodeStyle","YYB"],
      '_$$_ppb':["ImageNodeStyle","BZB"],
      '_$$_qpb':["LabelStyleDecorationInstaller","CZB"],
      '_$$_rpb':["NodeStyleDecorationInstaller","DZB"],
      '_$$_spb':["PanelNodeStyle","FZB"],
      '_$$_tpb':["ShinyPlateNodeStyle","IZB"]
    },yfiles.mappings);
  }
  return undefined;
});
