/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_ak':["TableNodeStyle","$a"],
      '_$_ywc':["tableProvider","$Wi"],
      '_$_xvd':["getTable","$pt"],
      '_$_kce':["setTable","$Rv"],
      '_$_lvj':["copyTable","$VMb"],
      '_$_vfk':["onPropertyChanged","$rRb"],
      '_$_shk':["copyBackgroundStyle","$jSb"],
      '_$_lwl':["ITableNodeStyle","OZB"],
      '_$_mwl':["ITableProvider","PZB"],
      '_$_nwl':["TagOwnerTableProvider","TZB"],
      '_$$_sy':["table","$Jg"],
      '_$$_ebb':["backgroundStyle","$jj"],
      '_$$_mhb':["tableRenderingOrder","$HX"],
      '_$$_vpb':["yfiles.drawing","yfiles._R"],
      '_$$_wpb':["AbstractTableNodeStyle","QZB"],
      '_$$_xpb':["TableNodeStyle","RZB"],
      '_$$_ypb':["DynamicTableNodeStyle","SZB"]
    },yfiles.mappings);
  }
  return undefined;
});
