/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_fkc':["type","$re"],
      '_$_vnc':["id","$Qf"],
      '_$_kqc':["graph","$vg"],
      '_$_vsc':["pageNo","$Ug"],
      '_$_rxc':["referencingNode","$rj"],
      '_$_sxc':["representedEdge","$sj"],
      '_$_txc':["representedNode","$tj"],
      '_$_lbd':["createEdge","$Tk"],
      '_$_rbd':["createNode","$Uk"],
      '_$_ihd':["layoutDone","$kn"],
      '_$_shd':["getEdgeInfo","$sn"],
      '_$_vhd':["getNodeInfo","$un"],
      '_$_emd':["getEdgeLabelInfo","$jp"],
      '_$_fmd':["getNodeLabelInfo","$kp"],
      '_$_lzd':["createProxyNode","$Cu"],
      '_$_ibe':["createProxyReferenceNode","$uv"],
      '_$_zde':["createConnectorNode","$zw"],
      '_$_nfe':["createProxyReferenceEdge","$jx"],
      '_$_fge':["createProxyEdge","$xx"],
      '_$_kge':["createConnectorEdge","$Cx"],
      '_$_jze':["layouter","$SF"],
      '_$_pbf':["groupMode","$WG"],
      '_$_mif':["maxPageSize","$nK"],
      '_$_iof':["labelLayouter","$hN"],
      '_$_prf':["elementFactory","$JO"],
      '_$_wsf':["layoutCallback","$mP"],
      '_$_sfg':["edgeBundleModeMask","$fV"],
      '_$_kng':["labelLayouterEnabled","$IY"],
      '_$_lwg':["preferredMaximalDuration","$Mcb"],
      '_$_zeh':["pageCount","$Jgb"],
      '_$_wmh':["getPage","$Hkb"],
      '_$_uph':["calcLayout","$bmb"],
      '_$_ysh':["getPageEdge","$wnb"],
      '_$_zsh':["getPageNode","$xnb"],
      '_$_uai':["getOriginalEdge","$brb"],
      '_$_yai':["getOriginalNode","$crb"],
      '_$_zwi':["addEdgeLabel","$aBb"],
      '_$_bxi':["addNodeLabel","$cBb"],
      '_$_mzi':["removeEdgeLabel","$mCb"],
      '_$_nzi':["removeNodeLabel","$nCb"],
      '_$_toj':["createElementFactory","$QJb"],
      '_$_ccl':["getDefaultNodeSize","$Kbc"],
      '_$_fcl':["routeRestoredEdges","$Nbc"],
      '_$_hcl':["doIncrementalLayout","$Pbc"],
      '_$_qel':["removeConnectorPair","$Ucc"],
      '_$_kym':["DefaultElementFactory","SDD"],
      '_$_lym':["EdgeType","TDD"],
      '_$_mym':["GroupingMode","UDD"],
      '_$_nym':["EdgeBundleMode","VDD"],
      '_$_oym':["NodeType","WDD"],
      '_$_pym':["IEdgeInfo","XDD"],
      '_$_qym':["IEdgeLabelInfo","YDD"],
      '_$_rym':["IElementFactory","ZDD"],
      '_$_sym':["IElementInfoManager","AED"],
      '_$_tym':["ILayoutCallback","BED"],
      '_$_uym':["INodeInfo","CED"],
      '_$_vym':["INodeLabelInfo","DED"],
      '_$_wym':["LayoutContext","EED"],
      '_$_xym':["MultiPageLayout","FED"],
      '_$_yym':["MultiPageLayouter","GED"],
      '_$$_dtb':["yfiles.multipage","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
