/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_dzc':["edgeLayoutDescriptor","$ak"],
      '_$_vre':["grid","$PC"],
      '_$_kcf':["nodeModel","$rH"],
      '_$_iif':["layoutStyle","$jK"],
      '_$_mof':["layoutQuality","$kN"],
      '_$_vag':["useRandomization","$bT"],
      '_$_wag':["useSketchDrawing","$cT"],
      '_$_reg':["usePostprocessing","$MU"],
      '_$_gfg':["considerNodeLabels","$aV"],
      '_$_hig':["useLengthReduction","$mW"],
      '_$_lig':["alignDegreeOneNodes","$qW"],
      '_$_olg':["useFaceMaximization","$OX"],
      '_$_sng':["minimumSegmentLength","$PY"],
      '_$_pqg':["postprocessingEnabled","$iab"],
      '_$_isg':["integratedEdgeLabeling","$Wab"],
      '_$_wsg':["optimizePerceivedBends","$gbb"],
      '_$_mtg':["useSpacePostprocessing","$vbb"],
      '_$_yvg':["minimumLastSegmentLength","$Dcb"],
      '_$_rxg':["minimumFirstSegmentLength","$odb"],
      '_$_fyg':["useCrossingPostprocessing","$Cdb"],
      '_$_hfh':["createCopy","$Pgb"],
      '_$_csj':["createEdgeLayoutDescriptor","$sLb"],
      '_$_jzm':["DirectedOrthogonalLayouter","RED"],
      '_$_kzm':["EdgeLayoutDescriptor","SED"],
      '_$_lzm':["LayoutStyle","TED"],
      '_$_mzm':["OrthogonalGroupLayouter","UED"],
      '_$_nzm':["OrthogonalLayouter","VED"],
      '_$$_ftb':["yfiles.orthogonal","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
