/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_bub':["StraightLineEdgeRouter","$a"],
      '_$_cub':["WithCoreLayouter","$b"],
      '_$_azc':["minimalNodeDistance","$Yj"],
      '_$_qde':["routeInterEdges","$rw"],
      '_$_cef':["edgeRouter","$eI"],
      '_$_iqf':["allowMirroring","$eO"],
      '_$_ntf':["packComponents","$DP"],
      '_$_cwf':["maximalDuration","$RQ"],
      '_$_cdg':["layoutOrientation","$bU"],
      '_$_kjg':["edgeRoutingStrategy","$NW"],
      '_$_mkg':["positioningStrategy","$lX"],
      '_$_mpg':["considerNodeAlignment","$HZ"],
      '_$_bxg':["fixedGroupResizingEnabled","$bdb"],
      '_$_vxg':["optimizeLayoutOrientation","$sdb"],
      '_$_yyg':["routeInterEdgesImmediately","$Udb"],
      '_$_gzg':["componentAssignmentStrategy","$ceb"],
      '_$_iai':["doPartialLayout","$Pqb"],
      '_$_gak':["layoutSubgraph","$ZOb"],
      '_$_phk':["configureEdgeRouter","$gSb"],
      '_$_lqk':["placeSubgraphs","$mWb"],
      '_$_czk':["routeEdgesBetweenFixedElements","$mac"],
      '_$_pzm':["EdgeRoutingStrategy","XED"],
      '_$_qzm':["ComponentAssignmentStrategy","YED"],
      '_$_rzm':["SubgraphPositioningStrategy","ZED"],
      '_$_szm':["LayoutOrientation","AFD"],
      '_$_tzm':["PartialLayouter","BFD"],
      '_$$_htb':["yfiles.partial","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
