/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_evb':["WithId","$a"],
      '_$_fvb':["WithFixed","$b"],
      '_$_gvb':["ForSourceAndTarget","$c"],
      '_$_hvb':["ForSourceAndTargetWithFixed","$d"],
      '_$_ivb':["toEdgeLists","$a"],
      '_$_jvb':["replaceHubsBySubgraph","$b"],
      '_$_kvb':["replaceSubgraphByHubs","$c"],
      '_$_lvb':["replaceHubsBySubgraphWithEdgeList","$d"],
      '_$_mvb':["OrthogonalShortestPathPathFinder","$a"],
      '_$_nvb':["WithCoreLayouter","$a"],
      '_$_ovb':["WithMinDistance","$a"],
      '_$_wuc':["gridOrigin","$Th"],
      '_$_use':["busId","$dD"],
      '_$_bte':["fixed","$hD"],
      '_$_nte':["scope","$rD"],
      '_$_zxe':["bendCost","$lF"],
      '_$_obf':["gridWidth","$VG"],
      '_$_ycf':["rerouting","$DH"],
      '_$_mef':["innerPorts","$qI"],
      '_$_uff':["routingAll","$ZI"],
      '_$_igf':["usingBends","$nJ"],
      '_$_ohf':["gridEnabled","$TJ"],
      '_$_phf':["gridOffsetX","$UJ"],
      '_$_qhf':["gridOffsetY","$VJ"],
      '_$_rhf':["gridRouting","$WJ"],
      '_$_thf':["gridSpacing","$XJ"],
      '_$_ikf':["crossingCost","$hL"],
      '_$_xlf':["routingStyle","$UL"],
      '_$_umf':["badOrthogonal","$rM"],
      '_$_ypf':["sourceGroupId","$VN"],
      '_$_aqf':["targetGroupId","$XN"],
      '_$_cuf':["sphereOfAction","$RP"],
      '_$_dvf':["edgeOverlapCost","$tQ"],
      '_$_hwf':["minimalDistance","$VQ"],
      '_$_jwf':["minimumDistance","$WQ"],
      '_$_syf':["coupledDistances","$YR"],
      '_$_uyf':["edgeCrossingCost","$aS"],
      '_$_yzf':["nodeCrossingCost","$ES"],
      '_$_udg':["preferredDistance","$sU"],
      '_$_veg':["affectedEdgesDpKey","$QU"],
      '_$_zeg':["centerToSpaceRatio","$UU"],
      '_$_ifg':["considerNodeLabels","$aV"],
      '_$_bgg':["gridRoutingEnabled","$nV"],
      '_$_ogg':["minimalBusDistance","$AV"],
      '_$_chg':["pathFinderStrategy","$MV"],
      '_$_whg':["selectedEdgesDpKey","$cW"],
      '_$_yhg':["selectedNodesDpKey","$dW"],
      '_$_jig':["activationThreshold","$oW"],
      '_$_njg':["gridWidthAdjustable","$QW"],
      '_$_smg':["customBorderCapacity","$qY"],
      '_$_log':["removeCollinearBends","$hZ"],
      '_$_jqg':["minimumDistanceToEdge","$dab"],
      '_$_kqg':["minimumDistanceToNode","$eab"],
      '_$_yrg':["edgeNodeOverlapAllowed","$Pab"],
      '_$_fug':["lockFirstAndLastSegment","$Nbb"],
      '_$_dvg':["useCustomBorderCapacity","$jcb"],
      '_$_ovg':["edgeDistributionStrategy","$ucb"],
      '_$_awg':["monotonicPathRestriction","$Ecb"],
      '_$_hxg':["localCrossingMinimization","$hdb"],
      '_$_syg':["minimumBusConnectionsCount","$Odb"],
      '_$_rzg':["preferredDistanceAdjustable","$neb"],
      '_$_fah':["minimumBackboneSegmentLength","$zeb"],
      '_$_tah':["preferredBackboneSegmentCount","$Neb"],
      '_$_cch':["enforceMonotonicPathRestrictions","$wfb"],
      '_$_ekh':["createNodeEnlargementStage","$rjb"],
      '_$_owi':["setProperty","$PAb"],
      '_$_fyi':["setGridOffset","$GBb"],
      '_$_gyi':["setGridOrigin","$HBb"],
      '_$_gsj':["createOrthogonalEdgeRouter","$vLb"],
      '_$_mpk':["checkNodeSize","$QVb"],
      '_$_vsk':["checkGroupNodeSize","$tXb"],
      '_$_ael':["calculateCost","$Ecc"],
      '_$_eel':["calculateBendCost","$Icc"],
      '_$_nel':["calculateEdgeLength","$Rcc"],
      '_$_wel':["calculateCrossingCosts","$adc"],
      '_$_hfl':["calculatePortCandidateCost","$ldc"],
      '_$_lfl':["calculateSelfLoopSelfSidePenaltyCost","$pdc"],
      '_$_lbn':["BusDescriptor","TGD"],
      '_$_mbn':["BusRepresentations","UGD"],
      '_$_nbn':["BusRouter","VGD"],
      '_$_obn':["ChannelEdgeRouter","WGD"],
      '_$_pbn':["CollinearBendHider","XGD"],
      '_$_qbn':["EdgeGroupRouterStage","YGD"],
      '_$_rbn':["GroupNodeRouterStage","ZGD"],
      '_$_sbn':["OrganicEdgeRouter","AHD"],
      '_$_tbn':["OrthogonalEdgeRouter","BHD"],
      '_$_ubn':["OrthogonalPatternEdgeRouter","CHD"],
      '_$_vbn':["OrthogonalSegmentDistributionStage","DHD"],
      '_$_wbn':["PartitionGridRouterStage","EHD"],
      '_$_xbn':["PatchRouterStage","FHD"],
      '_$_ybn':["ReducedSphereOfActionStage","GHD"],
      '_$_zbn':["SnapOuterPortsToNodeBorderStage","HHD"],
      '_$_acn':["StraightLineEdgeRouter","IHD"],
      '_$$_ltb':["yfiles.router","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
