-----------------------------------------------------------------------
----- Copyright (C) InMon Corp. 2014 ALL RIGHTS RESERVED           ----
----- Module to listen for Cisco VCS log messages                  ----
-----------------------------------------------------------------------

local measurement = require("measurement")

-- add module to tail the log file and raise events
local tailEvent = "vcsLogMsg"

local function tailEventCB(ctx, line)
   inx.log(0, "tailEventCB line= " .. line)
end

inx.sinkEvent(tailEvent, tailEventCB, {})

inx.load("tailVCS", "tail.so", {
	    directory = "/tmp",
	    tailFile = "vcs.log",
	    event = tailEvent } );

local listen_VCS = { event=tailEvent }
return listen_VCS
