function serverDate(utc,offsetMinutes) {
  var _date = new Date(utc);
  var _serverOffset = offsetMinutes*60000;
  var _userOffset = _date.getTimezoneOffset()*60000;
  return new Date(utc-_serverOffset+_userOffset);
}

$(document).ready(function() {
  var picker = $('#datePicker');
  var start = serverDate(picker.data('start'),picker.data('startoffset'));
  var end = serverDate(picker.data('end'),picker.data('endoffset'));
  var sel = serverDate(picker.data('selected'),picker.data('selectedoffset'));
  var hour = picker.data('hour');
  var url = picker.data('url');
  picker.datepicker({
    minDate: start,
    maxDate: end,
    defaultDate: sel,
    dateFormat:'D d-M yy',
    autoSize:true,
    onSelect: function() {
       var selected = picker.datepicker('getDate');
       var str = $.datepicker.formatDate('yymmdd',selected);
       if(str === $.datepicker.formatDate('yymmdd',end)) str = "now";
       else str = str + "+" + hour;
       window.location=url+str;
    }
  });
  picker.datepicker('setDate',new Date(sel));
});
