/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_pi':["getKeyUri","$a"],
      '_$_qi':["getKeyName","$b"],
      '_$_ri':["getKeyType","$c"],
      '_$_si':["getKeyScope","$d"],
      '_$_ti':["WithPrecedence","$a"],
      '_$_ui':["WithDeserializer","$a"],
      '_$_vi':["WithDeserializerAndTargetType","$b"],
      '_$_wi':["WithParentContext","$a"],
      '_$_xi':["WithMessage","$a"],
      '_$_yi':["WithMessageAndInnerException","$b"],
      '_$_zi':["WithTargetType","$a"],
      '_$_aj':["WithScopeAndType","$a"],
      '_$_bj':["WithKeyScopeAndKeyType","$a"],
      '_$_cj':["AbstractOutputHandler","$a"],
      '_$_dj':["XmlNamespaceManager","$a"],
      '_$_ej':["ReferencesOutputHandler","$a"],
      '_$_fj':["getCurrent","$a"],
      '_$_gj':["serialize","$b"],
      '_$_hj':["serializeWithItemAndType","$c"],
      '_$_ij':["serializeReplacement","$d"],
      '_$_jj':["handleDeserialization","$a"],
      '_$_kec':["value","$Sc"],
      '_$_vjc':["name","$oe"],
      '_$_qkc':["canRead","$we"],
      '_$_skc':["canWrite","$ye"],
      '_$_alc':["propertyType","$Me"],
      '_$_jmc':["write","$of"],
      '_$_qmc':["getValue","$sf"],
      '_$_enc':["setValue","$Ff"],
      '_$_irc':["owner","$Dg"],
      '_$_zuc':["precedence","$Xh"],
      '_$_dwc':["writeEvents","$Ai"],
      '_$_twc':["referenceType","$Ri"],
      '_$_jbd':["createEdge","$Tk"],
      '_$_pbd':["createNode","$Uk"],
      '_$_bed':["lookup","$Wl"],
      '_$_fid':["applyDefault","$Cn"],
      '_$_eod':["createInputHandler","$Yp"],
      '_$_iqd':["getNamespaceOfPrefix","$Uq"],
      '_$_jqd':["getPrefixOfNamespace","$Vq"],
      '_$_trd':["addResolveXmlNamespaceListener","$Dr"],
      '_$_isd':["getSerializationProperty","$Qr"],
      '_$_rsd':["getDeserializationProperty","$Yr"],
      '_$_usd':["removeResolveXmlNamespaceListener","$bs"],
      '_$_nud':["addPort","$Qs"],
      '_$_wud':["getTypeWithXmlNamespaceAndTagName","$Xs"],
      '_$_qvd':["canParse","$jt"],
      '_$_lwd':["canHandle","$zt"],
      '_$_pwd':["getEdgeId","$Bt"],
      '_$_twd':["getNodeId","$Dt"],
      '_$_uwd':["getPortId","$Et"],
      '_$_xwd':["parseData","$Gt"],
      '_$_bxd':["serialize","$It"],
      '_$_gxd':["addMappingForType","$Nt"],
      '_$_kxd':["getGraphId","$Qt"],
      '_$_wxd':["deserialize","$Xt"],
      '_$_zxd':["resolveEdge","$au"],
      '_$_ayd':["resolveNode","$bu"],
      '_$_myd':["removeLookup","$ku"],
      '_$_oyd':["resolveGraph","$lu"],
      '_$_bzd':["parseExtension","$wu"],
      '_$_xzd':["getXamlNamespace","$Ju"],
      '_$_qae':["getExtensionAsString","$dv"],
      '_$_bbe':["getXamlNamespacePrefix","$ov"],
      '_$_bce':["storeEdgeId","$Kv"],
      '_$_cce':["storeGraphId","$Lv"],
      '_$_dce':["storeNodeId","$Mv"],
      '_$_ece':["storePortId","$Nv"],
      '_$_pce':["addMappingForNamespace","$Wv"],
      '_$_ade':["resolvePort","$ew"],
      '_$_xee':["addMappingForNamespaceWithPrefix","$Uw"],
      '_$_jfe':["getValueSerializerForWriting","$fx"],
      '_$_gge':["getTypeConverterForParsing","$yx"],
      '_$_hge':["getTypeConverterForWriting","$zx"],
      '_$_ige':["getValueSerializerForParsing","$Ax"],
      '_$_pue':["mapper","$ND"],
      '_$_zue':["result","$VD"],
      '_$_sve':["context","$lE"],
      '_$_awe':["edgeIds","$qE"],
      '_$_kwe':["handled","$yE"],
      '_$_vwe':["nodeIds","$JE"],
      '_$_cxe':["portIds","$OE"],
      '_$_sxe':["xmlNode","$fF"],
      '_$_tye':["graphIds","$DF"],
      '_$_fcf':["xmlNamespace","$mH"],
      '_$_ocf':["ownerType","$vH"],
      '_$_xff':["serializer","$cJ"],
      '_$_agf':["sourceType","$eJ"],
      '_$_fgf':["targetType","$kJ"],
      '_$_bjf':["referenceId","$AK"],
      '_$_qjf':["validScopes","$OK"],
      '_$_vjf':["assemblyName","$TK"],
      '_$_ekf':["clrNamespace","$cL"],
      '_$_nkf':["defaultValue","$mL"],
      '_$_pkf':["deserializer","$nL"],
      '_$_wlf':["propertyInfo","$TL"],
      '_$_hnf':["defaultExists","$GM"],
      '_$_hof':["keyDefinition","$gN"],
      '_$_ipf':["ownerInstance","$FN"],
      '_$_jpf':["parentContext","$GN"],
      '_$_zsf':["mapperMetadata","$pP"],
      '_$_huf':["writeXMLSchema","$XP"],
      '_$_mvf':["hasDefaultValue","$CQ"],
      '_$_yxf':["writeKeyDefault","$HR"],
      '_$_dzf':["graphMLAttribute","$jS"],
      '_$_tcg':["isContentProperty","$UT"],
      '_$_rdg':["parseDefaultValue","$pU"],
      '_$_hgg':["internalReferences","$tV"],
      '_$_fmg':["clearGraphBeforeRead","$fY"],
      '_$_cog':["overrideDefaultValue","$YY"],
      '_$_erg':["writeSharedReferences","$xab"],
      '_$_trg':["deserializerTargetType","$Mab"],
      '_$_wug':["serializationVisibility","$ccb"],
      '_$_pyg':["graphMLSerializerAttribute","$Ldb"],
      '_$_mbh':["serializationPropertyOverrides","$gfb"],
      '_$_bch':["deserializationPropertyOverrides","$vfb"],
      '_$_pch':["useParentElementForDeserialization","$Jfb"],
      '_$_nlh':["equalsWithClrNamespaceDescriptor","$fkb"],
      '_$_fph':["setLookup","$Plb"],
      '_$_pph':["addParsedListener","$Xlb"],
      '_$_xrh':["addParsingListener","$Xmb"],
      '_$_zrh':["addWritingListener","$Zmb"],
      '_$_quh':["createMapper","$iob"],
      '_$_txh':["removeParsedListener","$Fpb"],
      '_$_bzh':["removeParsingListener","$oqb"],
      '_$_dzh':["removeWritingListener","$qqb"],
      '_$_zzh':["addInputHandler","$Hqb"],
      '_$_yci':["createIdProvider","$Trb"],
      '_$_jji':["addQueryReferenceIdListener","$Jub"],
      '_$_kji':["addResolveReferenceListener","$Kub"],
      '_$_nji':["addInputMapperFutureWithName","$Nub"],
      '_$_oji':["addInputMapperFutureWithPredicate","$Oub"],
      '_$_xki':["addUriToKeyDefinition","$rvb"],
      '_$_yli':["addQueryInputHandlersListener","$Tvb"],
      '_$_emi':["addNameToKeyDefinition","$Zvb"],
      '_$_gmi':["addRegistryInputMapper","$bwb"],
      '_$_hmi':["addTypeToKeyDefinition","$cwb"],
      '_$_eni':["addHandleSerializationListener","$ywb"],
      '_$_gni':["addQueryOutputHandlersListener","$Awb"],
      '_$_ini':["addRegistryOutputMapper","$Cwb"],
      '_$_jni':["addScopeToKeyDefinition","$Dwb"],
      '_$_boi':["removeQueryReferenceIdListener","$Rwb"],
      '_$_coi':["removeResolveReferenceListener","$Swb"],
      '_$_ioi':["getOrCreateUniqueMapping","$Ywb"],
      '_$_woi':["addHandleDeserializationListener","$jxb"],
      '_$_epi':["addClrNamespaceDescriptor","$pxb"],
      '_$_npi':["removeQueryInputHandlersListener","$yxb"],
      '_$_dqi':["removeHandleSerializationListener","$Mxb"],
      '_$_fqi':["removeQueryOutputHandlersListener","$Oxb"],
      '_$_oqi':["getNamespaceOfPrefixInScope","$Wxb"],
      '_$_pqi':["getPrefixOfNamespaceInScope","$Xxb"],
      '_$_tqi':["removeSerializationProperty","$byb"],
      '_$_wqi':["addOverrideResolveReferenceListener","$eyb"],
      '_$_bri':["removeHandleDeserializationListener","$jyb"],
      '_$_rri':["removeDeserializationProperty","$vyb"],
      '_$_dsi':["removeOverrideResolveReferenceListener","$Gyb"],
      '_$_axi':["addNamespace","$bBb"],
      '_$_iyi':["addInputMapperWithName","$JBb"],
      '_$_jyi':["addInputMapperWithPredicate","$KBb"],
      '_$_fzi':["addOutputMapper","$gCb"],
      '_$_qzi':["addOutputHandler","$qCb"],
      '_$_uzi':["getInputHandlers","$uCb"],
      '_$_caj':["addSchemaLocation","$BCb"],
      '_$_zaj':["addInputMapperFutureWithNameAndKeyType","$cDb"],
      '_$_abj':["addInputMapperFutureWithPredicateAndDeserializationCallback","$dDb"],
      '_$_jbj':["addInputHandlerFactoryWithName","$nDb"],
      '_$_kbj':["addInputHandlerFactoryWithPredicate","$oDb"],
      '_$_nbj':["addRegistryOutputMapperWithTagUntyped","$sDb"],
      '_$_obj':["addRegistryOutputMapperWithTag","$tDb"],
      '_$_acj':["setSerializationProperty","$GDb"],
      '_$_fcj':["setDeserializationProperty","$LDb"],
      '_$_gcj':["initializeFromKeyDefinition","$MDb"],
      '_$_scj':["parseFromDocument","$YDb"],
      '_$_tcj':["parseFromURL","$ZDb"],
      '_$_vdj':["addInputMapperWithPredicateAndDeserializationCallback","$AEb"],
      '_$_xdj':["addOutputMapperWithURI","$CEb"],
      '_$_nej':["addInputHandlerFactoryWithNameAndScope","$TEb"],
      '_$_oej':["addRegistryInputMapperWithPredicateAndDeserializationCallback","$UEb"],
      '_$_pej':["addRegistryInputMapperWithKeyTypeAndDeserializationCallback","$VEb"],
      '_$_rej':["addRegistryOutputMapperWithURIAndTag","$XEb"],
      '_$_qfj':["addInputMapperWithNameKeyTypeAndDeserializationCallback","$wFb"],
      '_$_ufj':["addOutputMapperWithSerializationCallbackAndKeyType","$AFb"],
      '_$_mgj':["addOutputMapperWithURISerializationCallbackAndKeyType","$SFb"],
      '_$_rgj':["addRegistryOutputMapperWithNameUriTagSerializationCallbackAndType","$XFb"],
      '_$_moj':["writeEndElementCore","$LJb"],
      '_$_wpj':["createNamespaceManager","$sKb"],
      '_$_isj':["registerDefaultSerializers","$xLb"],
      '_$_zsj':["registerDefaultDeserializers","$NLb"],
      '_$_atj':["registerDefaultInputHandlers","$OLb"],
      '_$_jtj':["registerDefaultOutputHandlers","$XLb"],
      '_$_ktj':["configureDefaultTypeConverters","$YLb"],
      '_$_otj':["configureDefaultValueSerializers","$bMb"],
      '_$_fvj':["onParsed","$OMb"],
      '_$_vvj':["onParsing","$dNb"],
      '_$_yvj':["onWriting","$gNb"],
      '_$_ubk':["configureParserLookup","$EPb"],
      '_$_wbk':["createXMLWriter","$GPb"],
      '_$_zek':["getOutputHandlers","$ZQb"],
      '_$_dgk':["configureXMLWriter","$zRb"],
      '_$_hgk':["createParseContext","$DRb"],
      '_$_ehk':["onQueryReferenceId","$WRb"],
      '_$_fhk':["onResolveReference","$XRb"],
      '_$_ohk':["closeCurrentElement","$fSb"],
      '_$_qhk':["configureNamespaces","$hSb"],
      '_$_whk':["createGraphMLParser","$nSb"],
      '_$_xhk':["createGraphMLWriter","$oSb"],
      '_$_ejk':["createXamlTypeMapper","$RSb"],
      '_$_sjk':["onQueryInputHandlers","$fTb"],
      '_$_okk':["onHandleSerialization","$ATb"],
      '_$_rkk':["onQueryOutputHandlers","$DTb"],
      '_$_vkk':["writeNullElementValue","$GTb"],
      '_$_xkk':["configureInputHandlers","$ITb"],
      '_$_qlk':["onHandleDeserialization","$bUb"],
      '_$_wlk':["configureSchemaLocations","$fUb"],
      '_$_ank':["createMemberContentContext","$FUb"],
      '_$_cnk':["onOverrideResolveReference","$HUb"],
      '_$_snk':["configureSerializationPropertyOverrides","$XUb"],
      '_$_tnk':["configureDeserializationPropertyOverrides","$YUb"],
      '_$_iok':["getTagName","$nVb"],
      '_$_rpk':["getProperties","$TVb"],
      '_$_upk':["parseDataCore","$WVb"],
      '_$_wpk':["serializeCore","$YVb"],
      '_$_qqk':["writeValueCore","$rWb"],
      '_$_tqk':["configureWriterLookup","$uWb"],
      '_$_wqk':["getXmlNamespace","$xWb"],
      '_$_hrk':["serializeMember","$IWb"],
      '_$_jrk':["shouldSerialize","$KWb"],
      '_$_lrk':["getMemberTagName","$MWb"],
      '_$_qrk':["getTypeConverter","$QWb"],
      '_$_zsk':["createWriteContext","$wXb"],
      '_$_atk':["getContentPropertyForInstance","$xXb"],
      '_$_btk':["getContentPropertyForType","$yXb"],
      '_$_cuk':["isCollectionProperty","$aYb"],
      '_$_ruk':["onResolveXmlNamespace","$pYb"],
      '_$_wuk':["writeMemberTagContent","$tYb"],
      '_$_yuk':["getMemberAttributeName","$vYb"],
      '_$_fvk':["configureOutputHandlers","$BYb"],
      '_$_jvk':["handleEnumSerialization","$FYb"],
      '_$_kvk':["handleJSONSerialization","$GYb"],
      '_$_lvk':["handleListSerialization","$HYb"],
      '_$_mvk':["handleNullSerialization","$IYb"],
      '_$_nvk':["handleTypeSerialization","$JYb"],
      '_$_ovk':["handleXamlSerialization","$KYb"],
      '_$_zvk':["registerTagInputHandler","$SYb"],
      '_$_awk':["shouldWriteEnclosingTag","$TYb"],
      '_$_dwk':["handleArraySerialization","$WYb"],
      '_$_iwk':["registerTagOutputHandler","$bZb"],
      '_$_kwk':["createGraphElementFactory","$dZb"],
      '_$_mwk':["createXamlNamespaceMapper","$fZb"],
      '_$_pwk':["getDeserializationXmlNode","$iZb"],
      '_$_swk':["handleJSONDeserialization","$lZb"],
      '_$_uwk':["writeNamespaceDeclaration","$nZb"],
      '_$_zxk':["shouldWriteMemberAsAttribute","$MZb"],
      '_$_byk':["handlePrimitivesSerialization","$OZb"],
      '_$_hyk':["registerEdgeBendsInputHandler","$SZb"],
      '_$_iyk':["registerEdgeStyleInputHandler","$TZb"],
      '_$_jyk':["registerNodeStyleInputHandler","$UZb"],
      '_$_kyk':["registerPortStyleInputHandler","$VZb"],
      '_$_lyk':["configureSerializationHandlers","$WZb"],
      '_$_vyk':["registerEdgeBendsOutputHandler","$fac"],
      '_$_wyk':["registerEdgeLabelsInputHandler","$gac"],
      '_$_xyk':["registerEdgeStyleOutputHandler","$hac"],
      '_$_yyk':["registerNodeLabelsInputHandler","$iac"],
      '_$_zyk':["registerNodeLayoutInputHandler","$jac"],
      '_$_azk':["registerNodeStyleOutputHandler","$kac"],
      '_$_bzk':["registerPortStyleOutputHandler","$lac"],
      '_$_dzk':["handlePrimitivesDeserialization","$nac"],
      '_$_ezk':["registerEdgeLabelsOutputHandler","$oac"],
      '_$_fzk':["registerNodeLabelsOutputHandler","$pac"],
      '_$_gzk':["registerNodeLayoutOutputHandler","$qac"],
      '_$_hzk':["configureDeserializationHandlers","$rac"],
      '_$_izk':["configureSerializationProperties","$sac"],
      '_$_kzk':["handleTypeExtensionSerialization","$uac"],
      '_$_nzk':["registerPortLocationInputHandler","$xac"],
      '_$_pzk':["onGraphMLParserQueryInputHandlers","$zac"],
      '_$_rzk':["registerGraphSettingsInputHandler","$Bac"],
      '_$_szk':["registerPortLocationOutputHandler","$Cac"],
      '_$_tzk':["handleReferenceHandleSerialization","$Dac"],
      '_$_uzk':["handleTextConvertibleSerialization","$Eac"],
      '_$_vzk':["onGraphMLWriterHandleSerialization","$Fac"],
      '_$_wzk':["onGraphMLWriterQueryOutputHandlers","$Gac"],
      '_$_zzk':["registerGraphSettingsOutputHandler","$Iac"],
      '_$_aal':["onGraphMLParserHandleDeserialization","$Jac"],
      '_$_bal':["handleMarkupExtensionBasedSerialization","$Kac"],
      '_$_fbl':["writeMemberTag","$nbc"],
      '_$_jbl':["parseChildNodes","$rbc"],
      '_$_kbl':["parseProperties","$sbc"],
      '_$_nbl':["assignListValues","$vbc"],
      '_$_vbl':["serializeContent","$Dbc"],
      '_$_zbl':["parseXmlAttribute","$Hbc"],
      '_$_dcl':["parseXmlAttributes","$Lbc"],
      '_$_scl':["writeMemberAttribute","$Xbc"],
      '_$_ucl':["writeStartElementCore","$Zbc"],
      '_$_vcl':["assignCollectionValues","$acc"],
      '_$_wcl':["assignDictionaryValuesGeneric","$bcc"],
      '_$_xcl':["assignDictionaryValues","$ccc"],
      '_$_bdl':["writeNullAttributeValue","$gcc"],
      '_$_mel':["writeAttributeCore","$Qcc"],
      '_$_yel':["parseCollectionProperty","$cdc"],
      '_$_bfl':["parseSingleChildProperty","$fdc"],
      '_$_sql':["FoldingManagerGraphElementFactory","JSB"],
      '_$_tql':["GraphElementFactory","KSB"],
      '_$_uql':["CreationPropertyKeys","LSB"],
      '_$_vql':["GraphMLXmlConstants","MSB"],
      '_$_wql':["NamespaceConstants","NSB"],
      '_$_xql':["StandardAttributeNames","OSB"],
      '_$_yql':["GraphMLIOHandler","PSB"],
      '_$_zql':["IGenericInputHandlerFactory","QSB"],
      '_$_arl':["AbstractInputHandler","RSB"],
      '_$_brl':["AbstractMapperInputHandler","SSB"],
      '_$_crl':["ComplexMapperInputHandler","TSB"],
      '_$_drl':["ChildParseContext","USB"],
      '_$_erl':["CreationProperties","VSB"],
      '_$_frl':["DeserializationNotSupportedException","WSB"],
      '_$_grl':["GraphMLParser","XSB"],
      '_$_hrl':["IDeserializer","YSB"],
      '_$_irl':["HandleDeserializationEventArgs","ZSB"],
      '_$_jrl':["ResolveXmlNamespaceEventArgs","ATB"],
      '_$_krl':["IGraphElementFactory","BTB"],
      '_$_lrl':["IGraphElementIdAcceptor","CTB"],
      '_$_mrl':["GraphElementIdAcceptor","DTB"],
      '_$_nrl':["IGraphElementResolver","ETB"],
      '_$_orl':["IInputHandler","FTB"],
      '_$_prl':["ParsePrecedence","GTB"],
      '_$_qrl':["QueryInputHandlersEventArgs","HTB"],
      '_$_rrl':["AbstractMapperOutputHandler","ITB"],
      '_$_srl':["ComplexMapperOutputHandler","JTB"],
      '_$_trl':["AbstractOutputHandler","KTB"],
      '_$_url':["AbstractXmlWriter","LTB"],
      '_$_vrl':["ChildWriteContext","MTB"],
      '_$_wrl':["DirectXmlWriter","NTB"],
      '_$_xrl':["GraphMLWriter","OTB"],
      '_$_yrl':["IGraphElementIdProvider","PTB"],
      '_$_zrl':["NullXmlWriter","QTB"],
      '_$_asl':["QueryOutputHandlersEventArgs","RTB"],
      '_$_bsl':["SerializationNotSupportedException","STB"],
      '_$_csl':["WriteContextExtensions","TTB"],
      '_$_dsl':["ResolveReferenceEventArgs","VTB"],
      '_$_esl':["QueryReferenceIdEventArgs","WTB"],
      '_$_fsl':["ReferenceConstants","XTB"],
      '_$_gsl':["AbstractSerializer","ZTB"],
      '_$_hsl':["XamlSerializer","AUB"],
      '_$_isl':["Property","BUB"],
      '_$_jsl':["ClrNamespaceDescriptor","CUB"],
      '_$_ksl':["MemberInfoValueSerializer","GUB"],
      '_$_lsl':["GraphMLParseValueSerializerContext","IUB"],
      '_$_msl':["GraphMLWriteValueSerializerContext","JUB"],
      '_$_nsl':["GraphMLValueSerializerContext","KUB"],
      '_$_osl':["IInlineMarkupExtensionParser","LUB"],
      '_$_psl':["IInlineMarkupWriter","MUB"],
      '_$_qsl':["InvalidXamlNamespaceDeclarationException","NUB"],
      '_$_rsl':["ITypeConverterProvider","OUB"],
      '_$_ssl':["IValueSerializerProvider","PUB"],
      '_$_tsl':["IXamlNamespaceMapper","QUB"],
      '_$_usl':["IXamlTypeMapper","RUB"],
      '_$_vsl':["XamlDeserializer","VUB"],
      '_$_wsl':["TextNodeDeserializer","WUB"],
      '_$_xsl':["XamlReader","XUB"],
      '_$_ysl':["IXmlPrefixMapper","YUB"],
      '_$$_cc':["WithResourceKey","$a"],
      '_$$_dc':["FromArray","$a"],
      '_$$_ec':["FromType","$b"],
      '_$$_fc':["FromMember","$a"],
      '_$$_gc':["FromTypeName","$a"],
      '_$$_hc':["FromCollection","$a"],
      '_$$_ic':["FromEnumerable","$b"],
      '_$$_jc':["FromType","$a"],
      '_$$_kc':["FromEnumerableAndType","$b"],
      '_$$_rv':["type","$re"],
      '_$$_uv':["member","$te"],
      '_$$_jx':["tag","$Xf"],
      '_$$_wx':["bends","$og"],
      '_$$_qy':["style","$Ig"],
      '_$$_ez':["labels","$Rg"],
      '_$$_fz':["layout","$Sg"],
      '_$$_jab':["sourcePort","$ai"],
      '_$$_kab':["targetPort","$bi"],
      '_$$_odb':["items","$jD"],
      '_$$_ieb':["wrappee","$eF"],
      '_$$_reb':["typeName","$oG"],
      '_$$_yfb':["resourceKey","$BK"],
      '_$$_sgb':["serializerType","$PP"],
      '_$$_jkb':["copyItems","$UMb"],
      '_$$_lkb':["getCollectionType","$WQb"],
      '_$$_wnb':["EdgeViewState","HSB"],
      '_$$_xnb':["yfiles.graphml","yfiles._R"],
      '_$$_ynb':["NodeViewState","ISB"],
      '_$$_znb':["GraphMLReferenceExtension","UTB"],
      '_$$_aob':["GraphMLSerializerAttribute","YTB"],
      '_$$_bob':["ArrayExtension","DUB"],
      '_$$_cob':["yfiles.markup","yfiles._R"],
      '_$$_dob':["NullExtension","EUB"],
      '_$$_eob':["StaticExtension","FUB"],
      '_$$_fob':["TypeExtension","HUB"],
      '_$$_gob':["ListExtension","SUB"],
      '_$$_hob':["GenericListExtension","TUB"],
      '_$$_iob':["Wrapper","UUB"],
      '_$$_job':["yfiles.markup.common","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
