/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_sj':["WithStyle","$a"],
      '_$_tj':["WithStyleAndRenderer","$b"],
      '_$_uj':["createRoundSelfLoop","$a"],
      '_$_vj':["createRectangleSelfLoop","$b"],
      '_$_wj':["WithNodeStyle","$a"],
      '_$_xj':["TextMeasureMode","$a"],
      '_$_yj':["measureText","$b"],
      '_$_zj':["addText","$c"],
      '_$_woc':["item","$eg"],
      '_$_rrc':["style","$Ig"],
      '_$_rsc':["layout","$Sg"],
      '_$_owc':["contextLookup","$Li"],
      '_$_wxc':["userTagProvider","$wj"],
      '_$_agd':["setStyle","$Km"],
      '_$_kgd':["getInsets","$Rm"],
      '_$_bwd':["setItem","$rt"],
      '_$_lxd':["getUserTag","$Rt"],
      '_$_tzd':["getPreferredSize","$Hu"],
      '_$_yce':["setUserTag","$cw"],
      '_$_nxf':["styleDescriptor","$wR"],
      '_$_oag':["selfLoopDistance","$TS"],
      '_$_meg':["textRenderSupport","$IU"],
      '_$_thg':["roundRectArcRadius","$bW"],
      '_$_wjg':["measureModeOverride","$YW"],
      '_$_iwi':["getTextSize","$KAb"],
      '_$_hdj':["addBridges","$mEb"],
      '_$_cej':["getPreferredSizeWithLabelStyleAndRenderContext","$IEb"],
      '_$_dej':["getPreferredSizeWithNodeStyleAndContext","$JEb"],
      '_$_uej':["getTextSizeFromExistingElement","$aFb"],
      '_$_jgj':["placeText","$PFb"],
      '_$_djj':["getPen","$iHb"],
      '_$_ijj':["getIcon","$lHb"],
      '_$_kjj':["getBrush","$nHb"],
      '_$_mjj':["getShape","$pHb"],
      '_$_sjj':["configure","$vHb"],
      '_$_akj':["createPath","$CHb"],
      '_$_ekj':["isAutoFlip","$HHb"],
      '_$_kkj':["getIconSize","$NHb"],
      '_$_lkj':["getTrimming","$OHb"],
      '_$_rkj':["getSmoothing","$UHb"],
      '_$_blj':["getButtonSize","$eIb"],
      '_$_clj':["getInnerStyle","$fIb"],
      '_$_mlj':["getSourceArrow","$qIb"],
      '_$_nlj':["getTargetArrow","$rIb"],
      '_$_slj':["isClippingText","$wIb"],
      '_$_gmj':["getWrappedStyle","$KIb"],
      '_$_cnj':["getIconPlacement","$dJb"],
      '_$_dnj':["getPreferredSizeImpl","$eJb"],
      '_$_enj':["getTextAlignment","$fJb"],
      '_$_loj':["getInnerStyleInsets","$KJb"],
      '_$_bpj':["getVerticalAlignment","$YJb"],
      '_$_jpj':["createStyleDescriptor","$gKb"],
      '_$_lpj':["getAddBridgesCallback","$iKb"],
      '_$_frj':["createSelectionInstaller","$ZKb"],
      '_$_hsj':["getButtonLocationParameter","$wLb"],
      '_$_puj':["arrange","$CMb"],
      '_$_cvj':["cropPath","$MMb"],
      '_$_zbk':["getOutlineShape","$JPb"],
      '_$_mdk':["getContextLookup","$oQb"],
      '_$_pdk':["getPreferredSizeWithContext","$rQb"],
      '_$_igk':["createSelfLoopPath","$ERb"],
      '_$_fjk':["determineMeasureMode","$SSb"],
      '_$_ask':["toggleGroupState","$aXb"],
      '_$_vwk':["addToggleGroupStateCommand","$oZb"],
      '_$_tal':["createButton","$cbc"],
      '_$_wal':["lookupContext","$fbc"],
      '_$_ocl':["getSourceArrowAnchor","$Vbc"],
      '_$_qcl':["getTargetArrowAnchor","$Wbc"],
      '_$_tdl':["isLastLine","$xcc"],
      '_$_zdl':["updateButton","$Dcc"],
      '_$_zul':["AbstractEdgeStyleRenderer","JXB"],
      '_$_avl':["AbstractLabelStyleRenderer","KXB"],
      '_$_bvl':["AbstractNodeStyleRenderer","LXB"],
      '_$_cvl':["AbstractStyleRenderer","MXB"],
      '_$_dvl':["GeneralPathNodeStyleRenderer","OXB"],
      '_$_evl':["ICollapsibleNodeStyleDecorator","PXB"],
      '_$_fvl':["CollapsibleNodeStyleDecoratorRenderer","RXB"],
      '_$_gvl':["IPolylineEdgeStyle","SXB"],
      '_$_hvl':["IShapeNodeStyle","TXB"],
      '_$_ivl':["VoidUserTagProvider","UXB"],
      '_$_jvl':["ITaggedStyleBase","VXB"],
      '_$_kvl':["IUserTagProvider","WXB"],
      '_$_lvl':["TagOwnerUserTagProvider","XXB"],
      '_$_mvl':["PathBasedEdgeStyleRenderer","AYB"],
      '_$_nvl':["PolylineEdgeStyleRenderer","BYB"],
      '_$_ovl':["ShapedLabelStyleRendererBase","EYB"],
      '_$_pvl':["ShapedNodeStyleRendererBase","FYB"],
      '_$_qvl':["ShapeNodeStyleRenderer","HYB"],
      '_$_rvl':["IIconLabelStyle","JYB"],
      '_$_svl':["SimpleLabelStyleRenderer","MYB"],
      '_$_tvl':["IconLabelStyleRenderer","NYB"],
      '_$_uvl':["SimplePortStyleRenderer","PYB"],
      '_$_vvl':["TextRenderSupport","QYB"],
      '_$$_lc':["WithPath","$a"],
      '_$$_mc':["WithRenderer","$b"],
      '_$$_nc':["WithPenAndBrush","$c"],
      '_$$_oc':["WithRendererPenAndBrush","$d"],
      '_$$_pc':["FromNodeStyleAndLabelStyle","$a"],
      '_$$_qc':["WithNodeStyle","$a"],
      '_$$_rc':["WithRenderer","$a"],
      '_$$_sc':["WithPen","$b"],
      '_$$_tc':["WithRendererAndPen","$c"],
      '_$$_uc':["WithShapePenAndBrush","$b"],
      '_$$_vc':["WithRendererShapePenAndBrush","$c"],
      '_$$_wc':["WithFont","$a"],
      '_$$_xc':["WithFontAndSize","$b"],
      '_$$_yc':["WithFontAndBrush","$c"],
      '_$$_zc':["WithRendererFontAndBrush","$d"],
      '_$$_ad':["WithFontSizeAndBrush","$e"],
      '_$$_bd':["WithRendererFontSizeAndBrush","$f"],
      '_$$_cd':["WithImageSizeAndParameter","$a"],
      '_$$_dd':["WithImageSizeParameterAndTypeface","$b"],
      '_$$_ed':["FromRendererIconSizePlacementAndInnerStyle","$c"],
      '_$$_fd':["FromIconSizePlacementFontAndBrush","$d"],
      '_$$_gd':["WithBrush","$a"],
      '_$$_hd':["WithBrushAndRenderer","$b"],
      '_$$_fx':["pen","$Uf"],
      '_$$_mx':["icon","$dg"],
      '_$$_zx':["brush","$pg"],
      '_$$_oy':["shape","$Hg"],
      '_$$_zy':["insets","$Qg"],
      '_$$_nz':["wrapped","$lh"],
      '_$$_pz':["autoFlip","$mh"],
      '_$$_sz':["iconSize","$ph"],
      '_$$_vz':["styleTag","$xh"],
      '_$$_aab':["smoothing","$Ih"],
      '_$$_gab':["innerStyle","$Uh"],
      '_$$_iab':["renderSize","$Yh"],
      '_$$_yab':["iconPlacement","$Oi"],
      '_$$_gbb':["innerStyleInsets","$Aj"],
      '_$$_sbb':["buttonLocationParameter","$ik"],
      '_$$_zeb':["nodeStyle","$sH"],
      '_$$_lfb':["labelStyle","$zI"],
      '_$$_zgb':["labelStyleInsets","$uS"],
      '_$$_yob':["yfiles.drawing","yfiles._R"],
      '_$$_zob':["GeneralPathNodeStyle","NXB"],
      '_$$_apb':["CollapsibleNodeStyleDecorator","QXB"],
      '_$$_bpb':["yfiles.drawing.common","yfiles._R"],
      '_$$_cpb':["NodeStyleLabelStyleAdapter","YXB"],
      '_$$_dpb':["NodeStylePortStyleAdapter","ZXB"],
      '_$$_epb':["PolylineEdgeStyle","CYB"],
      '_$$_fpb':["ShadowNodeStyleDecorator","DYB"],
      '_$$_gpb':["ShapeNodeShape","GYB"],
      '_$$_hpb':["ShapeNodeStyle","IYB"],
      '_$$_ipb':["SimpleLabelStyle","KYB"],
      '_$$_jpb':["IconLabelStyle","LYB"],
      '_$$_kpb':["SimplePortStyle","OYB"]
    },yfiles.mappings);
  }
  return undefined;
});
