/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_wyc':["minimalNodeDistance","$Yj"],
      '_$_mhf':["fixedRadius","$RJ"],
      '_$_eif':["layoutStyle","$jK"],
      '_$_blf':["initialAngle","$xL"],
      '_$_rof':["minimalRadius","$pN"],
      '_$_cpf':["nodeSequencer","$AN"],
      '_$_xrf':["fromSketchMode","$PO"],
      '_$_nuf':["automaticRadius","$dQ"],
      '_$_ruf':["balloonLayouter","$hQ"],
      '_$_xcg':["lastAppliedRadius","$XT"],
      '_$_mfg':["considerNodeLabels","$aV"],
      '_$_clg':["singleCycleLayouter","$CX"],
      '_$_eog':["partitionLayoutStyle","$aZ"],
      '_$_wpg':["fromSketchModeEnabled","$RZ"],
      '_$_gqg':["maximalDeviationAngle","$aab"],
      '_$_qzg':["placeChildrenOnCommonRadius","$meb"],
      '_$_yom':["CircularLayouter","GUC"],
      '_$_zom':["LayoutStyle","HUC"],
      '_$_apm':["PartitionLayoutStyle","IUC"],
      '_$_bpm':["SingleCycleLayouter","JUC"],
      '_$$_psb':["yfiles.circular","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
