/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_mtb':["WithSize","$a"],
      '_$_ntb':["FromOuterAndInnerStage","$a"],
      '_$_otb':["FromOrientedRectangle","$a"],
      '_$_ptb':["FromRectangle","$b"],
      '_$_qtb':["WithCoreLayouter","$a"],
      '_$_rtb':["findReversedTreeEdges","$b"],
      '_$_stb':["ForSize","$a"],
      '_$_ttb':["fillComparableMapFromGraph","$b"],
      '_$_cpc':["node","$hg"],
      '_$_gzd':["calculateBounds","$zu"],
      '_$_uue':["mirror","$QD"],
      '_$_hxe':["spacing","$VE"],
      '_$_xbf':["layouters","$gH"],
      '_$_pdf':["columnMode","$UH"],
      '_$_def':["fixedWidth","$gI"],
      '_$_ihf':["edgeSpacing","$NJ"],
      '_$_ljf':["targetRatio","$JK"],
      '_$_hlf':["layoutStages","$FL"],
      '_$_gqf':["adoptSelection","$cO"],
      '_$_trf':["fixPointPolicy","$NO"],
      '_$_ksf':["includingEdges","$bP"],
      '_$_juf':["adoptEdgeGroups","$ZP"],
      '_$_pvf':["includingLabels","$FQ"],
      '_$_vhg':["selectedEdgesDpKey","$cW"],
      '_$_vlg':["adoptPortConstraints","$VX"],
      '_$_xmg':["fixedWidthLineBreaks","$xY"],
      '_$_zih':["clearLayouterChain","$Gib"],
      '_$_fsh':["appendStage","$dnb"],
      '_$_oth':["reverseEdge","$Knb"],
      '_$_mvh':["prependStage","$Cob"],
      '_$_uvh':["reverseEdges","$Lob"],
      '_$_dyh':["appendLayouter","$Qpb"],
      '_$_dai':["appendLayouters","$Lqb"],
      '_$_tui':["equalsEps","$Uzb"],
      '_$_avj':["prepare","$LMb"],
      '_$_zvj':["unprepare","$hNb"],
      '_$_wzj':["calculatePorts","$POb"],
      '_$_sek':["calculateFixPoint","$RQb"],
      '_$_csk':["calculateFixPointForNodes","$cXb"],
      '_$_mbl':["addedPathForEdge","$ubc"],
      '_$_yxm':["BendConverter","GDD"],
      '_$_zxm':["CompositeLayoutStage","HDD"],
      '_$_aym':["DefaultNodeLabelLayout","IDD"],
      '_$_bym':["EdgeOppositeNodeLabelLayoutModel","JDD"],
      '_$_cym':["EdgeReversalStage","KDD"],
      '_$_dym':["FixNodeLayoutStage","LDD"],
      '_$_eym':["GraphLayoutLineWrapper","MDD"],
      '_$_fym':["MinNodeSizeStage","NDD"],
      '_$_gym':["NormalizingGraphElementOrderStage","ODD"],
      '_$_hym':["PortCalculator","PDD"],
      '_$_iym':["PortConstraintEnforcementStage","QDD"],
      '_$_jym':["SequentialLayouter","RDD"],
      '_$$_ctb':["yfiles.layout","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
