/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_utb':["WithCoreLayouter","$a"],
      '_$_vtb':["ISingleThreadContext","$a"],
      '_$_wtb':["createAspectRatioRestriction","$a"],
      '_$_xtb':["createCircularCageRestriction","$b"],
      '_$_ytb':["createEllipticalCageRestriction","$c"],
      '_$_ztb':["createRectangularCageRestriction","$d"],
      '_$_aub':["WithRandom","$a"],
      '_$_sfc':["dispose","$dd"],
      '_$_yyc':["minimalNodeDistance","$Yj"],
      '_$_bad':["stop","$wk"],
      '_$_fcd':["stopLayout","$cl"],
      '_$_wjd':["continueLayout","$ko"],
      '_$_uhe':["getCenter","$gy"],
      '_$_ple':["setCenter","$Mz"],
      '_$_ote':["scope","$rD"],
      '_$_oue':["laxity","$MD"],
      '_$_ave':["rounds","$WD"],
      '_$_swe':["maxTime","$GE"],
      '_$_exe':["quality","$QE"],
      '_$_fxe':["running","$TE"],
      '_$_lxe':["stopped","$WE"],
      '_$_zze':["sleeping","$iG"],
      '_$_xcf':["repulsion","$CH"],
      '_$_mdf':["attraction","$QH"],
      '_$_vgf':["compactness","$BJ"],
      '_$_khf':["finalRounds","$PJ"],
      '_$_fkf':["clusterNodes","$dL"],
      '_$_slf':["obeyNodeSize","$PL"],
      '_$_rmf':["workingRatio","$oM"],
      '_$_jnf':["deterministic","$IM"],
      '_$_znf':["gravityFactor","$YM"],
      '_$_dpf':["nodeSizeAware","$BN"],
      '_$_mpf':["proxyNodeSize","$JN"],
      '_$_tsf':["lastWakeupTime","$jP"],
      '_$_buf':["sphereOfAction","$RP"],
      '_$_ivf':["groupNodePolicy","$yQ"],
      '_$_wvf':["iterationFactor","$NQ"],
      '_$_fwf':["maximumDuration","$TQ"],
      '_$_exf':["shuffleLayouter","$oR"],
      '_$_gxf':["splitEdgesDpKey","$qR"],
      '_$_hxf':["splitNodesDpKey","$rR"],
      '_$_azf':["finalTemperature","$gS"],
      '_$_jzf':["initialPlacement","$qS"],
      '_$_mag':["qualityTimeRatio","$RS"],
      '_$_tbg':["clusteringQuality","$xT"],
      '_$_ndg':["outputRestriction","$lU"],
      '_$_lfg':["considerNodeLabels","$aV"],
      '_$_ggg':["initialTemperature","$sV"],
      '_$_dig':["splitSegmentLength","$iW"],
      '_$_zjg':["minimumNodeDistance","$aX"],
      '_$_ikg':["nodeOverlapsAllowed","$hX"],
      '_$_pkg':["preferredEdgeLength","$oX"],
      '_$_bng':["groupNodeCompactness","$BY"],
      '_$_tog':["smartComponentLayout","$pZ"],
      '_$_xpg':["groupBoundsCalculator","$SZ"],
      '_$_qqg':["preferredNodeDistance","$jab"],
      '_$_zqg':["smartInitialPlacement","$sab"],
      '_$_frg':["activateTreeBeautifier","$yab"],
      '_$_vsg':["nodeEdgeOverlapAvoided","$fbb"],
      '_$_rwg':["activateDeterministicMode","$Scb"],
      '_$_jah':["preferredMinimalNodeDistance","$Deb"],
      '_$_qbh':["automaticStructureUpdateEnabled","$kfb"],
      '_$_sch':["automaticGroupNodeCompactionEnabled","$Mfb"],
      '_$_xdh':["wakeUp","$lgb"],
      '_$_zfh':["stopAndWait","$hhb"],
      '_$_khh':["syncStructure","$Shb"],
      '_$_phh':["enableOnlyCore","$Whb"],
      '_$_xhh':["commitPositions","$eib"],
      '_$_aph':["getStress","$Klb"],
      '_$_gqh':["getCenterX","$mmb"],
      '_$_iqh':["getCenterY","$nmb"],
      '_$_rth':["startLayout","$Nnb"],
      '_$_avi':["setRadius","$bAb"],
      '_$_bvi':["setStress","$cAb"],
      '_$_yvi':["setCenterX","$AAb"],
      '_$_zvi':["setCenterY","$BAb"],
      '_$_bwi':["setInertia","$DAb"],
      '_$_paj':["addStructureUpdate","$QCb"],
      '_$_lbj':["setPreferredEdgeLength","$qDb"],
      '_$_qbj':["commitPositionsSmoothly","$vDb"],
      '_$_wjj':["updatePos","$zHb"],
      '_$_wwk':["configureComponentLayouter","$pZb"],
      '_$_ayk':["unconfigureComponentLayouter","$NZb"],
      '_$_zym':["GRIP","HED"],
      '_$_azm':["GroupedShuffleLayouter","IED"],
      '_$_bzm':["InteractiveOrganicLayouter","JED"],
      '_$_czm':["OrganicLayouter","KED"],
      '_$_dzm':["OrganicPartitionGridLayoutStage","LED"],
      '_$_ezm':["OrganicRemoveOverlapsStage","MED"],
      '_$_fzm':["OutputRestriction","NED"],
      '_$_gzm':["RemoveOverlapsLayoutStage","OED"],
      '_$_hzm':["SmartOrganicLayouter","PED"],
      '_$_izm':["SplitEdgeLayoutStage","QED"],
      '_$$_etb':["yfiles.organic","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
